#ifndef _FUDGEFONT_H_
#define _FUDGEFONT_H_

#ifdef __cplusplus
extern "C"
{
#endif

void install_fudgefont(void);
void fudgefont_color_range(int r1, int g1, int b1, int r2, int g2, int b2);
void fudgefont_force_mono(int onoff);
FONT *my_load_font(char const *name, int size);
void my_color(int r, int g, int b);
void my_print(FONT *f, int x, int y, int centered, char const *format, ...);
void my_print_right(FONT *f, int x, int y, const char *format, ...);

	
inline void my_textout_ex(BITMAP *buffer, FONT *f, const char *str, int x, int y, int fgcol, int bgcol);
inline void my_textout_centre_ex(BITMAP *buffer, FONT *f, const char *str, int x, int y, int fgcol, int bgcol);
	
	

#ifdef __cplusplus
}
#endif

#endif
